# -*- coding: utf-8 -*-
from __future__ import absolute_import
from __future__ import print_function
import random
import string

lim_set = {'^', '!', '$', '%', '&', '?', '~', '#', '-', '_', '<', '>'}


def read_words(words_file):
    return [word for line in open(words_file, 'r') for word in line.split()]


class PasswordGenerator():
    def __init__(self, src1, src2):
        self.src1 = src1
        self.src2 = src2
        self.wordlist1 = read_words(src1)
        self.wordlist2 = read_words(src2)
        # print('wordlist1 length:', len(self.wordlist1))
        # print('wordlist2 length:', len(self.wordlist2))

    def generate_password(self):
        while True:
            password = (
                random.choice(self.wordlist1).title() +
                random.choice(self.wordlist2).title() +
                random.sample(lim_set, 1)[0] +
                random.choice(string.digits) +
                random.choice(string.digits)
                )
            if 12 < len(password) <= 20:
                return password
